﻿using System.Linq;

namespace FizzBuzzKata
{
    public static class FizzBuzz
    {
        public static string Generate(int length)
        {
            if (length == 0)
                return string.Empty;

            var fizzBuzzSequence = Enumerable.Range(1, length)
                .Select(SingleFizzBuzz);

            return string.Join(", ", fizzBuzzSequence);
        }

        private static string SingleFizzBuzz(int i)
        {
            if (i % 3 == 0 && i % 5 == 0)
                return "FizzBuzz";
            if (i % 3 == 0)
                return "Fizz";
            if (i % 5 == 0)
                return "Buzz";
            return i.ToString();
        }
    }
}